> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Send message to an agent from your own platform

> Send a message from your platform to an agent. Must pass outboundMessageWebhookUrl or configure on the organization to receive agent responses. Reseller or partners only. 



## OpenAPI

````yaml post /api/v2/agent/receiveMessage
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/agent/receiveMessage:
    post:
      tags:
        - Messaging
      summary: Send message to an agent from your own platform
      description: >-
        Send a message from your platform to an agent. Must pass
        outboundMessageWebhookUrl or configure on the organization to receive
        agent responses. Reseller or partners only. 
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - targetAgent
                - sourceAddress
                - message
              properties:
                targetAgent:
                  description: Agent account ID, phone number, or username
                  type: string
                  example: agent123
                sourceAddress:
                  description: Sender phone number or address
                  type: string
                  example: '+15551231234'
                message:
                  description: Message text
                  type: string
                  example: Hello there
                attachments:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                      url:
                        type: string
                  example:
                    - type: image
                      url: https://example.com/image.png
                context:
                  type: object
                  example:
                    threadId: abc123
                metadata:
                  type: object
                  example:
                    key: value
                outboundMessageWebhookUrl:
                  description: >-
                    Webhook URL (POST) to deliver agent responses to. If not
                    specified will look for default outboundMessageWebhookUrl
                    webhook settings.
                  type: string
                  example: https://example.com/hook
      responses:
        '200':
          description: Message queued
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  messageUuid:
                    type: string
                    example: uuid
        '400':
          description: Failed to queue message
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid Vida user
        '403':
          description: Forbidden
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````